# coding=utf-8
from unittest import TestCase

from earthdiagnostics.constants import Basin, Basins


class TestBasin(TestCase):

    def setUp(self):
        self.basin = Basin('Basin')

    def test_name(self):
        self.assertEqual('Basin', self.basin.name)

    def test__eq__(self):
        self.assertTrue(Basin('Basin') == self.basin)
        self.assertFalse(Basin('bas') == self.basin)

    def test__str__(self):
        self.assertEqual(str(self.basin), 'Basin')

    def test_order(self):
        self.assertTrue(self.basin < Basin('Vasin'))
        self.assertTrue(self.basin > Basin('Asin'))


class TestBasins(TestCase):

    def test_singleton(self):
        self.assertIs(Basins(), Basins())
